## qqc2-desktop-style 5.85.0

=== debian/changelog ===
qqc2-desktop-style (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

qqc2-desktop-style (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:45 +0900

qqc2-desktop-style (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:13 +0900

qqc2-desktop-style (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:32:30 +0900

qqc2-desktop-style (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:25:59 +0900

qqc2-desktop-style (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

qqc2-desktop-style (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:37 +0900

qqc2-desktop-style (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.85.0~),
               kirigami2-dev (>= 5.85.0~),
               libkf5config-dev (>= 5.85.0~),
               libkf5iconthemes-dev (>= 5.85.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.86.0

=== debian/changelog ===
qqc2-desktop-style (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:51:13 +0100

qqc2-desktop-style (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:30:48 +0100

qqc2-desktop-style (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:03:36 +0100

qqc2-desktop-style (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:20:32 +0100

qqc2-desktop-style (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 12:00:17 +0100

qqc2-desktop-style (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:32:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.16~),
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.85.0~),
-               kirigami2-dev (>= 5.85.0~),
-               libkf5config-dev (>= 5.85.0~),
-               libkf5iconthemes-dev (>= 5.85.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               kirigami2-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libqt5x11extras5-dev (>= 5.14.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~),
-               qtquickcontrols2-5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~),
+               qtquickcontrols2-5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
@@ -46,7 +47,7 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts

project(qqc2-desktop-style VERSION ${KF_VERSION})

set(REQUIRED_QT_VERSION 5.15.2)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "qqc2-desktop-style requires an out of source build. Please create a separate build directory and run 'cmake path_to_qqc2-desktop-style [options]' there.")
endif()



# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

################# set KDE specific information #################

find_package(ECM 5.92.0 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQMLModules)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Widgets QuickControls2 DBus)

find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS Config Kirigami2)

# IconThemes and ConfigWidgets are optional
find_package(KF5IconThemes ${KF_DEP_VERSION})
find_package(KF5ConfigWidgets ${KF_DEP_VERSION})

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

# When building as a static plugin, dependencies may add a -lQt5X11Extras
# to the linker, in that case, it requires to have the proper variables
# to exists.
if(X11_FOUND)
    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE)
    endif()
endif()

set_package_properties(IconThemes PROPERTIES DESCRIPTION "KF5 IconThemes framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KIconLoader icons handling for a better integration with Plasma Desktop"
                      )
set_package_properties(ConfigWidgets PROPERTIES DESCRIPTION "KF5 WidgetAddons framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KColorScheme for color palettes integration with Plasma Desktop"
                      )

find_package(PkgConfig)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QQC2DesktopStyle")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5QQC2DesktopStyleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2DESKTOPSTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfigVersion.cmake"
    SOVERSION 5)

# legacy support for CMake Config files with typo KF5QQC2Desk_opStyle TODO: KF6 remove
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QQC2DeskopStyle")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5QQC2DeskopStyleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

ecm_find_qmlmodule(org.kde.sonnet 1.0)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2DESKTOPSTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfigVersion.cmake"
    SOVERSION 5)

#########################################################################
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
add_subdirectory(plugin)

if (KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)
add_subdirectory(kirigami-plasmadesktop-integration)
endif(KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)

# FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
# something to discover what's the latest qqc2 version available
# Since 5.12, QQC2 version is sync with Qt's minor version:
# https://github.com/qt/qtquickcontrols2/commit/3c7bfc156797b2f3ef08a8cf620b79da80e4b061
if (Qt5QuickControls2_VERSION_MINOR LESS 12)
    math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
else()
    set(QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR}")
endif()
set(QQC2_VERSION "2.${QQC2_VERSION_MINOR}")

# Find all the source qml files
FILE(GLOB_RECURSE inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/org.kde.desktop/*")

    #for each file, replace @QQC2_VERSION@ with the version we found
FOREACH(infileName ${inFiles})
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
        "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        @ONLY
    )
ENDFOREACH(infileName)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/org.kde.desktop DESTINATION ${KDE_INSTALL_QMLDIR}/QtQuick/Controls.2)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
qqc2-desktop-style (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:30:26 +0000

qqc2-desktop-style (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:11:35 +0000

qqc2-desktop-style (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:50:41 +0000

qqc2-desktop-style (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:19:20 +0000

qqc2-desktop-style (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:13:45 +0000

qqc2-desktop-style (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.
  * Update run-time dependencies.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

qqc2-desktop-style (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:05:30 +0900

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               kirigami2-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-org-kde-sonnet,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.98.0

=== debian/changelog ===
qqc2-desktop-style (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:35:19 +0100

qqc2-desktop-style (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:07:44 +0100

qqc2-desktop-style (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:33:13 +0100

qqc2-desktop-style (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:59:13 +0100

qqc2-desktop-style (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:22:54 +0100

qqc2-desktop-style (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:26:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               kirigami2-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               kirigami2-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),

## qqc2-desktop-style 5.101.0

=== debian/changelog ===
qqc2-desktop-style (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:33 +0100

qqc2-desktop-style (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

qqc2-desktop-style (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

qqc2-desktop-style (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:38 +0200

qqc2-desktop-style (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

qqc2-desktop-style (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

qqc2-desktop-style (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

qqc2-desktop-style (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: qqc2-desktop-style
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
-               kirigami2-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5iconthemes-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               kirigami2-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5iconthemes-dev (>= 5.101.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
 Rules-Requires-Root: no
 
 Package: libkf5qqc2desktopstyle-dev
@@ -44,10 +44,10 @@
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Qt Quick Controls 2: Desktop Style

## qqc2-desktop-style 5.102.0

=== debian/changelog ===
qqc2-desktop-style (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.101.0~),
-               kirigami2-dev (>= 5.101.0~),
-               libkf5config-dev (>= 5.101.0~),
-               libkf5iconthemes-dev (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               kirigami2-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5iconthemes-dev (>= 5.102.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git

## qqc2-desktop-style 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
@@ -21,18 +21,20 @@
 
 ################# set KDE specific information #################
 
-find_package(ECM 5.92.0 REQUIRED NO_MODULE)
+find_package(ECM 5.103.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMQmlModule)
 include(ECMQMLModules)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(ECMDeprecationSettings)
 
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Widgets QuickControls2 DBus)
 
@@ -114,39 +116,27 @@
     SOVERSION 5)
 
 #########################################################################
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+)
+
 add_subdirectory(plugin)
 
 if (KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)
 add_subdirectory(kirigami-plasmadesktop-integration)
 endif(KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)
 
-# FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
-# something to discover what's the latest qqc2 version available
-# Since 5.12, QQC2 version is sync with Qt's minor version:
-# https://github.com/qt/qtquickcontrols2/commit/3c7bfc156797b2f3ef08a8cf620b79da80e4b061
-if (Qt5QuickControls2_VERSION_MINOR LESS 12)
-    math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
+if (QT_MAJOR_VERSION EQUAL "5")
+  install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.desktop DESTINATION ${KDE_INSTALL_QMLDIR}/QtQuick/Controls.2)
 else()
-    set(QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR}")
+  ecm_add_qml_module(org_kde_desktop URI "org.kde.desktop" VERSION 1.0 NO_PLUGIN)
+  file(GLOB _public_qml "org.kde.desktop/*.qml")
+  ecm_target_qml_sources(org_kde_desktop VERSION 1.0 SOURCES ${_public_qml})
+  file(GLOB _private_qml "org.kde.desktop/private/*.qml")
+  ecm_target_qml_sources(org_kde_desktop VERSION 1.0 PATH private SOURCES ${_private_qml})
+  ecm_finalize_qml_module(org_kde_desktop DESTINATION ${KDE_INSTALL_QMLDIR})
 endif()
-set(QQC2_VERSION "2.${QQC2_VERSION_MINOR}")
-
-# Find all the source qml files
-FILE(GLOB_RECURSE inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
-    "${CMAKE_CURRENT_SOURCE_DIR}/org.kde.desktop/*")
-
-    #for each file, replace @QQC2_VERSION@ with the version we found
-FOREACH(infileName ${inFiles})
-    configure_file(
-        "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
-        "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
-        @ONLY
-    )
-ENDFOREACH(infileName)
-
-install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/org.kde.desktop DESTINATION ${KDE_INSTALL_QMLDIR}/QtQuick/Controls.2)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
qqc2-desktop-style (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.102.0~),
-               kirigami2-dev (>= 5.102.0~),
-               libkf5config-dev (>= 5.102.0~),
-               libkf5iconthemes-dev (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               kirigami2-dev (>= 5.103.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5iconthemes-dev (>= 5.103.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
@@ -29,8 +29,8 @@
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
-Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
+Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0),
+Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0),
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.104.0

=== debian/changelog ===
qqc2-desktop-style (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.103.0~),
-               kirigami2-dev (>= 5.103.0~),
-               libkf5config-dev (>= 5.103.0~),
-               libkf5iconthemes-dev (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               kirigami2-dev (>= 5.104.0~),
+               libkf5config-dev (>= 5.104.0~),
+               libkf5iconthemes-dev (>= 5.104.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),

## qqc2-desktop-style 5.107.0

=== debian/changelog ===
qqc2-desktop-style (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.104.0~),
-               kirigami2-dev (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5iconthemes-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
+               kirigami2-dev (>= 5.107.0~),
+               libkf5config-dev (>= 5.107.0~),
+               libkf5iconthemes-dev (>= 5.107.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),

## qqc2-desktop-style 5.110.0

=== debian/changelog ===
qqc2-desktop-style (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:11:53 +0100

qqc2-desktop-style (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:52:43 +0100

qqc2-desktop-style (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:24:32 +0100

qqc2-desktop-style (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:08:49 +0100

qqc2-desktop-style (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:50:27 +0100

qqc2-desktop-style (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:19:59 +0000

qqc2-desktop-style (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:46:43 +0000

qqc2-desktop-style (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 16:00:12 +0000

qqc2-desktop-style (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:24:04 +0000

qqc2-desktop-style (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:18:07 +0000

qqc2-desktop-style (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:02:33 +0000

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.110.0~),
               kirigami2-dev (>= 5.110.0~),
               libkf5config-dev (>= 5.110.0~),
               libkf5iconthemes-dev (>= 5.110.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-org-kde-sonnet,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.115.0

=== kirigami-plasmadesktop-integration/CMakeLists.txt ===


set(org.kde.desktop_SRCS
    plasmadesktoptheme.cpp
    kirigamiplasmafactory.cpp
    plasmadesktopunits.cpp
)


add_library(org.kde.desktop MODULE ${org.kde.desktop_SRCS})

target_link_libraries(org.kde.desktop
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        KF5::Kirigami2
    PRIVATE
        Qt${QT_MAJOR_VERSION}::DBus
        Qt${QT_MAJOR_VERSION}::Qml
        Qt${QT_MAJOR_VERSION}::Quick
        KF5::ConfigWidgets
        KF5::IconThemes
)

install(TARGETS org.kde.desktop DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kirigami)

=== debian/changelog ===
qqc2-desktop-style (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:34 +0200

qqc2-desktop-style (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:05:08 +0100

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.115.0~),
               kirigami2-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5iconthemes-dev (>= 5.115.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               pkgconf,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0),
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0),
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-org-kde-sonnet,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.116.0

=== debian/changelog ===
qqc2-desktop-style (5.116.0-0ubuntu2) oracular; urgency=medium

  * For now do not install translations that are new in this release.
    The files conflict with the translations found in the KF6 packages.
    This is fixed upstream but requires a new release tart with
    regenerated translations.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jul 2024 19:15:32 +0100

qqc2-desktop-style (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf
  * Add qttools5-dev to build depends
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:47:27 +0100

qqc2-desktop-style (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:07:17 +0000

qqc2-desktop-style (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:43:14 +0000

qqc2-desktop-style (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:40:29 -0700

qqc2-desktop-style (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:09:32 -0700

qqc2-desktop-style (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:47:06 +0000

qqc2-desktop-style (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:52:03 +0000

qqc2-desktop-style (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:01:39 +0000

## qqc2-desktop-style 5.116.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
@@ -21,7 +21,7 @@
 
 ################# set KDE specific information #################
 
-find_package(ECM 5.103.0 REQUIRED NO_MODULE)
+find_package(ECM 5.116.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -30,6 +30,7 @@
 include(ECMGenerateHeaders)
 include(ECMQmlModule)
 include(ECMQMLModules)
+include(ECMPoQmTools)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
@@ -140,4 +141,6 @@
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+ecm_install_po_files_as_qm(poqm)
+
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== plugin/CMakeLists.txt ===
project(qqc2desktopstyle)

set(qqc2desktopstyle_SRCS
    qqc2desktopstyleplugin.cpp
    kquickstyleitem.cpp
    kpropertywriter.cpp
    )

add_library(qqc2desktopstyleplugin SHARED ${qqc2desktopstyle_SRCS})
target_link_libraries(qqc2desktopstyleplugin Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Qml Qt${QT_MAJOR_VERSION}::Quick Qt${QT_MAJOR_VERSION}::Gui Qt${QT_MAJOR_VERSION}::Widgets KF5::ConfigCore KF5::Kirigami2)

ecm_create_qm_loader(org_kde_desktop_QM_LOADER qqc2desktopstyle5_qt)
target_sources(qqc2desktopstyleplugin PRIVATE ${org_kde_desktop_QM_LOADER})

if(KF5ConfigWidgets_FOUND)
    target_link_libraries(qqc2desktopstyleplugin
        KF5::ConfigWidgets
    )
endif()

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(qqc2desktopstyleplugin PROPERTIES PREFIX "")
endif()

install(TARGETS qqc2desktopstyleplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/qqc2desktopstyle/private)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/qqc2desktopstyle/private)

=== debian/changelog ===
qqc2-desktop-style (5.116.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.1)
  * This version provides non-conflicting translation filenames:
    - drop debian/not-installed
    - add translations again in qml-module-org-kde-qqc2desktopstyle, using a
      safe wildcard so potentially conflicting files won't go unnoticed:
      usr/share/locale/*/LC_MESSAGES/qqc2desktopstyle5_qt.qm

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 17 Jul 2024 11:13:45 +0100

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.116.0~),
               kirigami2-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5iconthemes-dev (>= 5.116.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.18~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qttools5-dev,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-org-kde-sonnet,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
